## lcalc 1.23+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -16,26 +16,32 @@
 #PARI_DEFINE = -DINCLUDE_PARI
 #PREPROCESSOR_DEFINE = -DUSE_LONG_DOUBLE
 
+#OPENMP_FLAG = -fopenmp
+
 #PREPROCESSOR_DEFINE = -DUSE_MPFR
 ifeq ($(PREPROCESSOR_DEFINE),-DUSE_MPFR)
-  #GMP_FLAGS= -L/usr/local/lib -lmpfrcpp -lgmp -lmpfr 
+  #GMP_FLAGS= -L/usr/local/lib -lmpfrcpp -lgmp -lmpfr
   GMP_FLAGS= gmpfrxx.o mpfr_mul_d.o -lmpfr -lgmp -lgmpxx -lm
 else
   GMP_FLAGS=
 endif
 
 
-#OS_NAME = Darwin
-OS_NAME=Linux
-
+OS_NAME := $(shell uname)
 
 CC = g++
+#cc = /home/mrubinst/local/bin/gcc
+#CC = /home/mrubinst/local/bin/g++
+#LD = /home/mrubinst/local/bin/g++
+
 #CC = /Users/michaelrubinstein/math/L/packages/gcc4.3/usr/local/bin/g++
-EXTRA= #-pg
+#EXTRA= -pg
+#EXTRA = -ftree-vectorize -ftree-vectorizer-verbose=5 -funroll-loops
+
 
 
 #MACHINE_SPECIFIC_FLAGS = -Wno-long-double
-MACHINE_SPECIFIC_FLAGS = -ffast-math
+MACHINE_SPECIFIC_FLAGS = -ffast-math -fPIC
 
 #G4 = FALSE
 #ifeq ($(G4),TRUE)
@@ -52,7 +58,8 @@
    #MACHINE_SPECIFIC_FLAGS = -mpowerpc -mpowerpc64 -m64
 endif
 
-CCFLAGS =  -Wa,-W -O2 -Wno-deprecated $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)
+CCFLAGS =  -Wa,-W -O3 $(OPENMP_FLAG) -Wno-deprecated $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)
+#CCFLAGS =  -Wa,-W -O3 $(OPENMP_FLAG)  $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)
 #CCFLAGS =  -Wa,-W -O2 -fno-exceptions -Wno-deprecated $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)
 
 #warning- O2 doesn't help with -DUSE_LONG_DOUBLE on mac, and actually seems to hurt, making runtime longer
@@ -82,6 +89,7 @@
 
 ifeq ($(OS_NAME),Darwin)
     LDFLAGS2 =
+    DYN_OPTION=dynamiclib
 else
     LDFLAGS1 = -Xlinker -export-dynamic #not sure why pari calls these when linking but on the web I found
     #'Libtool provides the `-export-dynamic' link flag (see section Link mode), which does this declaration.
@@ -92,13 +100,15 @@
     #else
     #    LDFLAGS2 = $(LDFLAGS1)
     #endif
+    DYN_OPTION=shared
 endif
 
 ifeq ($(PARI_DEFINE),-DINCLUDE_PARI)
-    LDFLAGS = $(LDFLAGS2) -L$(LOCATION_PARI_LIBRARY) -lpari 
+    LDFLAGS = $(LDFLAGS2) -L$(LOCATION_PARI_LIBRARY) -lpari
 else
     LDFLAGS = $(LDFLAGS2)
 endif
+
 
 
 #NOTES:
@@ -113,7 +123,7 @@
 #    LD_LIBRARY_PATH=/usr/local/pari/pari-2.1.5/lib:$LD_LIBRARY_PATH
 #    export LD_LIBRARY_PATH
 #If this is not done correctly, at runntime one gets the error
-#    ./lcalc: error while loading shared libraries: libpari.so.1: cannot open shared 
+#    ./lcalc: error while loading shared libraries: libpari.so.1: cannot open shared
 #    object file: No such file or directory
 #One can list, after compiling, dynamic dependencies with the command: ldd lcalc and it will 
 #become clear which libraries the computer can find.
@@ -122,7 +132,7 @@
 INSTALL_DIR= /usr/local
 
 #object files for the libLfunction library
-OBJ_L = Lglobals.o Lgamma.o Lriemannsiegel.o
+OBJ_L = Lglobals.o Lgamma.o Lriemannsiegel.o Lriemannsiegel_blfi.o Ldokchitser.o
 
 #object files for the command line program
 OBJ2=$(OBJ_L) Lcommandline_globals.o Lcommandline_misc.o Lcommandline_numbertheory.o Lcommandline_values_zeros.o
@@ -130,21 +140,38 @@
 OBJECTS = $(OBJ3)
 
 all:
-	make libLfunction.a
-#	make examples
+#	make print_vars
+	make libLfunction.so
 	make lcalc
+	make examples
+#	make find_L
+#	make test
+
+print_vars:
+	@echo OS_NAME = $(OS_NAME)
 
 lcalc: $(OBJECTS)
 	$(CC) $(CCFLAGS) $(INCLUDEFILES) $(OBJECTS) $(LDFLAGS) -o lcalc $(GMP_FLAGS)
 
 examples:
-	$(CC) $(CCFLAGS) $(INCLUDEFILES) example_programs/example.cc libLfunction.a -o example_programs/example $(GMP_FLAGS)
+	$(CC) $(CCFLAGS) $(INCLUDEFILES) example_programs/example.cc libLfunction.so -o example_programs/example $(GMP_FLAGS)
+
+
+proc:
+	$(CC) $(CCFLAGS) $(INCLUDEFILES) example_programs/proc.cc libLfunction.so -o example_programs/proc $(GMP_FLAGS)
+
+test:
+	$(CC) $(CCFLAGS) $(INCLUDEFILES) example_programs/test.cc libLfunction.so -o example_programs/test $(GMP_FLAGS)
+
+find_L:
+	$(CC) $(CCFLAGS) $(INCLUDEFILES) find_L_functions/find_L_functions.cc libLfunction.so -o find_L_functions/find_L $(GMP_FLAGS)
 
 .cc.o:
 	$(CC) $(CCFLAGS) $(INCLUDEFILES) -c $<
 .c.o:
 	$(CC) $(CCFLAGS) $(INCLUDEFILES) -c $<
 
+
 Lglobals.o: ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
 
 #Lmisc.o: ../include/Lmisc.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
@@ -154,6 +181,8 @@
 Lriemannsiegel.o: ../include/Lriemannsiegel.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h
 Lriemannsiegel.o: ../include/Lint_complex.h ../include/Lgamma.h
 Lriemannsiegel.o: ../include/Lmisc.h
+
+Ldokchitser.o: ../include/Ldokchitser.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
 
 #all I need here is dependence on the definition of the L-function class
 #and the Complex typedef
@@ -232,20 +261,18 @@
 	$(CC) $(CCFLAGS) $(INCLUDEFILES) -I$(LOCATION_PARI_H) $(PARI_DEFINE) -c Lcommandline.cc
 
 
-libLfunction.a: $(OBJ_L)
-	ar ruv libLfunction.a $(OBJ_L)
-	ranlib libLfunction.a
+libLfunction.so: $(OBJ_L)
+	g++ -$(DYN_OPTION)  -o libLfunction.so $(OBJ_L)
 
 clean:
-	rm -f *.o lcalc libLfunction.a example_programs/example
+	rm -f *.o lcalc libLfunction.so example_programs/example
 
 install:
 	cp -f lcalc $(INSTALL_DIR)/bin/.
-	cp -f libLfunction.a $(INSTALL_DIR)/lib/.
-	ranlib $(INSTALL_DIR)/lib/libLfunction.a
+	cp -f libLfunction.so $(INSTALL_DIR)/lib/.
 	cp -rf ../include $(INSTALL_DIR)/include/Lfunction
 
 
-SRCS = Lcommandline.cc Lcommandline_elliptic.cc Lcommandline_globals.cc Lcommandline_misc.cc Lcommandline_numbertheory.cc Lcommandline_twist.cc Lcommandline_values_zeros.cc Lgamma.cc Lglobals.cc Lmisc.cc Lriemannsiegel.cc
+SRCS = Lcommandline.cc Lcommandline_elliptic.cc Lcommandline_globals.cc Lcommandline_misc.cc Lcommandline_numbertheory.cc Lcommandline_twist.cc Lcommandline_values_zeros.cc Lgamma.cc Lglobals.cc Lmisc.cc Lriemannsiegel.cc Lriemannsiegel_blfi.cc cmdline.c
 depend:
 	makedepend -f depends -- $(CCFLAGS) -Y../include -- $(SRCS)
