=== debian/changelog ===
lcalc (1.23+dfsg-11build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:25 +0100

lcalc (1.23+dfsg-11) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 15 Jan 2019 12:47:52 +0000

lcalc (1.23+dfsg-10) experimental; urgency=medium

  * Add using_namespace_std.patch from sagemath.
  * Breaks: sagemath (<< 8.5~)

 -- Tobias Hansen <thansen@debian.org>  Sun, 06 Jan 2019 11:32:36 +0100

lcalc (1.23+dfsg-9) unstable; urgency=medium

  * Remove using_namespace_std.patch again (incompatible with sagemath 8.4).

 -- Tobias Hansen <thansen@debian.org>  Thu, 03 Jan 2019 11:30:10 +0100

lcalc (1.23+dfsg-8) unstable; urgency=medium

  [ Julien Puydt ]
  * Rewrite the tarball repacking (next release
  will use it, if necessary).

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Tobias Hansen ]
  * Add using_namespace_std.patch from sagemath.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Jan 2019 18:42:12 +0000

lcalc (1.23+dfsg-7) unstable; urgency=medium

  * Refresh packaging:
    - Use my debian.org mail address.
    - Bump d/watch to version 4.
    - Bump dh compat to 11.
    - Bump std-ver to 4.2.0.
    - Point Vcs-* fields to salsa.
    - Mark the -dev package Multi-Arch: same.
    - Put the lib package in section libs.
  * Add a patch for clang compilation (Closes: #748898).
  * Add a patch to fix spelling issues.
  * Comment why the sources are repacked in d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Aug 2018 15:39:10 +0200

lcalc (1.23+dfsg-6) unstable; urgency=medium

  * Apply two patches to allow building with PARI 2.9. (Closes: #841738)
  * Bump Standards-Version to 3.9.8.

  [ Julien Puydt ]

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Oct 2016 19:10:37 +0100

lcalc (1.23+dfsg-5) unstable; urgency=medium

  * Add patch lcalc-1.23_default_parameters_2.patch from Sage to
    fix FTBFS with gcc-5 (Closes: #777932).

 -- Tobias Hansen <thansen@debian.org>  Mon, 18 May 2015 22:58:04 +0200

lcalc (1.23+dfsg-4) unstable; urgency=medium

  * Added a patch to allocate a bigger PARI stack. (Closes: #776802)
  * Bump standards-version to 3.9.6.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 02 Feb 2015 11:06:33 +0100

lcalc (1.23+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with gcc-4.9. (Closes: #746867)
  * With pari_2.7.patch the package build-depends now on pari >= 2.7
    instead of >= 2.5. (Closes: #746048)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 May 2014 01:34:21 +0200

lcalc (1.23+dfsg-2) unstable; urgency=medium

  * Add patch fix_pari_include.patch:
    Fix pari includes to work with Pari 2.7 in Debian. (Closes: #743327)
  * Move pari_2.5.patch to pari_2.7.patch
    and add add further change (call ellinit with 3 parameters)
    (Closes: #743327)
  * Bump standards-version to 3.9.5.

 -- Tobias Hansen <thansen@debian.org>  Tue, 08 Apr 2014 21:24:26 +0200

lcalc (1.23+dfsg-1) unstable; urgency=low

  * Repack tarball to remove binary file.

 -- Tobias Hansen <thansen@debian.org>  Fri, 19 Jul 2013 00:19:08 +0200

lcalc (1.23-2) unstable; urgency=low

  * Ship the shared library liblfunction (Closes: #702901).
  * Move from experimental to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sun, 30 Jun 2013 23:16:56 +0200

lcalc (1.23-1) experimental; urgency=low

  * New upstream release (Closes: #592426).
  * New maintainer Debian Science Team, uploader me,
    with permission from Tim Abbott.
  * Transition to dh (compat level 9).
  * Enable hardening flags via dpkg-buildflags.
  * Standards-Version 3.9.4
  * Remove unnecessary mpfr and gmp dependencies.
    (Like in Sage, the package is currently built without mpfr.
    It fails to build when mpfr is enabled.)
  * Install the README file.
  * Use copyright format 1.0.
  * Create watch file.
  * debian/patches/gcc.patch:
    debian/patches/pari_2.5.patch:
    - Refresh and add headers.
  * debian/patches/lcalc-const-fixes.patch:
    - Remove: Was mostly applied upstream and the remaining 3 const
      fixes caused FTBFS.
  * debian/patches/Makefile.patch:
    - Add: Mostly a patch from Sage to use $CC, $CXX, $CXXFLAGS
      and $CPPFLAGS properly.

 -- Tobias Hansen <thansen@debian.org>  Sat, 12 Jan 2013 15:30:14 +0100

lcalc (0.0.20080205-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Build-depend on versioned libpari-dev (>= 2.5) (Closes: #644092).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Dec 2011 02:36:15 +0100

lcalc (0.0.20080205-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/gcc.patch:
    - Fix FTBFS with newer gcc (Closes: #624986).
  * debian/patches/pari_2.5.patch:
    - Port to pari 2.5 API (Closes: #635506).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Aug 2011 15:38:48 +0200

lcalc (0.0.20080205-1) unstable; urgency=low

  * Initial release (Closes: #480088).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 30 May 2008 00:35:05 -0400
