=== debian/control ===
Source: lcalc
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>, Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper (>= 11), libpari-dev (>= 2.7)
Homepage: http://oto.math.uwaterloo.ca/~mrubinst/L_function_public/L.html
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/science-team/lcalc.git
Vcs-Browser: https://salsa.debian.org/science-team/lcalc

Package: lcalc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: sagemath (<< 8.5~)
Description: program for calculating with L-functions
 lcalc is a program for computing zeros and values of L-functions.
 Supported L-functions include the Riemann zeta function, the
 L-function of the Ramanujan delta function, and L-functions
 of elliptic curves defined over the rationals.

Package: liblfunction0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for calculating with L-functions
 liblfunction is a library for computing zeros and values of L-functions.
 Supported L-functions include the Riemann zeta function, the
 L-function of the Ramanujan delta function, and L-functions
 of elliptic curves defined over the rationals.

Package: liblfunction-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, liblfunction0 (= ${binary:Version})
Description: development files for liblfunction
 liblfunction is a library for computing zeros and values of L-functions.
 Supported L-functions include the Riemann zeta function, the
 L-function of the Ramanujan delta function, and L-functions
 of elliptic curves defined over the rationals.
 .
 This package contains the development files for the library.
