=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build -- PARI_DEFINE=-DINCLUDE_PARI

override_dh_auto_test:

override_dh_auto_install:
	mkdir -p debian/tmp/usr/bin
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/tmp/usr/include/Lfunction
	cp src/lcalc debian/tmp/usr/bin
	cp src/libLfunction.so.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cp include/*.h debian/tmp/usr/include/Lfunction

override_dh_link:
	dh_link -pliblfunction-dev usr/lib/$(DEB_HOST_MULTIARCH)/libLfunction.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libLfunction.so

override_dh_auto_clean:
	rm -f src/libLfunction.so.0
	dh_auto_clean
