## lcalc 2.0.3

=== debian/changelog ===
lcalc (2.0.3-2) unstable; urgency=medium

  * Add b-dep on pkg-config (Closes: #993106).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 28 Aug 2021 19:16:30 +0200

lcalc (2.0.3-1) unstable; urgency=medium

  * Point d/watch to a non-abandoned upstream (and hence
  dropping the +dfsg as the tree is now clean).
  * Switch to debhelper-compat, and set level to 13.
  * Bump standards-version to 4.6.0.
  * Declare d/rules doesn't require root.
  * New upstream release.
  * Simplify packaging.
  * Add depend on gengetopt.
  * Update d/copyright.
  * Adapt to upstream now using libtool.
  * Add a patch to fix manpage typos.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Aug 2021 17:51:12 +0200
