=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>, Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper (>= 11), libpari-dev (>= 2.7)
+Build-Depends: debhelper-compat (= 13), gengetopt, libpari-dev (>= 2.7), pkg-config
 Homepage: http://oto.math.uwaterloo.ca/~mrubinst/L_function_public/L.html
-Standards-Version: 4.2.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/science-team/lcalc.git
 Vcs-Browser: https://salsa.debian.org/science-team/lcalc
+Rules-Requires-Root: no
 
 Package: lcalc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: sagemath (<< 8.5~)
+Depends: liblfunction1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: program for calculating with L-functions
  lcalc is a program for computing zeros and values of L-functions.
  Supported L-functions include the Riemann zeta function, the
  L-function of the Ramanujan delta function, and L-functions
  of elliptic curves defined over the rationals.
 
-Package: liblfunction0
+Package: liblfunction1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, liblfunction0 (= ${binary:Version})
+Depends: ${misc:Depends}, liblfunction1 (= ${binary:Version})
 Description: development files for liblfunction
  liblfunction is a library for computing zeros and values of L-functions.
  Supported L-functions include the Riemann zeta function, the
