## lcalc 2.0.4

=== debian/changelog ===
lcalc (2.0.4-1) unstable; urgency=medium

  * Apply patch from Chris Lamb making the build reproducible (Closes: #993950).
  * New upstream release.
  * Drop the patch (typos have been fixed upstream)"

 -- Julien Puydt <jpuydt@debian.org>  Sun, 28 Nov 2021 13:07:20 +0100
