=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@
+
+override_dh_installdocs:
+	dh_installdocs -X/Makefile
