## lcalc 2.0.5

=== debian/changelog ===
lcalc (2.0.5-1.1build3) plucky; urgency=medium

  * Rebuild against latest pari

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 06:27:34 -0500

lcalc (2.0.5-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:39:59 +0000

lcalc (2.0.5-1.1build1) noble; urgency=high

  * No change rebuild against libpari-gmp-tls8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:36:26 +0100

lcalc (2.0.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062519

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 17:27:52 +0000

lcalc (2.0.5-1) unstable; urgency=medium

  * Move to the math team.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 22 Dec 2021 10:02:12 +0100

lcalc (2.0.4-2) unstable; urgency=medium

  * Build --with-pari to support elliptic curve L-functions.
    (Closes: #1001492)

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Dec 2021 22:13:28 +0000
