=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: lcalc
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>, Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper-compat (= 13), gengetopt, libpari-dev (>= 2.7), pkg-config
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), gengetopt, libpari-dev (>= 2.7), pkg-config
 Homepage: http://oto.math.uwaterloo.ca/~mrubinst/L_function_public/L.html
 Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/science-team/lcalc.git
-Vcs-Browser: https://salsa.debian.org/science-team/lcalc
+Vcs-Git: https://salsa.debian.org/math-team/lcalc.git
+Vcs-Browser: https://salsa.debian.org/math-team/lcalc
 Rules-Requires-Root: no
 
 Package: lcalc
 Architecture: any
-Depends: liblfunction1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: liblfunction1t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: program for calculating with L-functions
  lcalc is a program for computing zeros and values of L-functions.
  Supported L-functions include the Riemann zeta function, the
  L-function of the Ramanujan delta function, and L-functions
  of elliptic curves defined over the rationals.
 
-Package: liblfunction1
+Package: liblfunction1t64
+Provides: ${t64:Provides}
+Replaces: liblfunction1
+Breaks: liblfunction1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +39,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, liblfunction1 (= ${binary:Version})
+Depends: ${misc:Depends}, liblfunction1t64 (= ${binary:Version})
 Description: development files for liblfunction
  liblfunction is a library for computing zeros and values of L-functions.
  Supported L-functions include the Riemann zeta function, the
