=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,8 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- --with-pari
+
 override_dh_installdocs:
 	dh_installdocs -X/Makefile
