=== debian/watch ===
version=4
https://gitlab.com/sagemath/lcalc/-/tags?sort=updated_desc .*/lcalc-v?([\d.]+).tar.bz2
